Proposals (legacy) API
26 endpoints. All requests need an Authorization header — see Authentication. API keys additionally need the matching scope.
| Method | Path | Description |
|---|---|---|
GET |
/api/proposals/ |
List Proposals Query: status, manager, account, overdue, search, limit. |
POST |
/api/proposals/ |
Create Proposal Accepts a JSON body. |
GET |
/api/proposals/dashboard |
Proposal Dashboard |
GET |
/api/proposals/library/ |
List Library Query: category, response_type, owner, search, limit, offset. |
POST |
/api/proposals/library/ |
Create Library Item Accepts a JSON body. |
PATCH |
/api/proposals/library/{item_id} |
Update Library Item Accepts a JSON body. |
DELETE |
/api/proposals/library/{item_id} |
Delete Library Item |
GET |
/api/proposals/{proposal_id} |
Get Proposal |
PATCH |
/api/proposals/{proposal_id} |
Update Proposal Accepts a JSON body. |
POST |
/api/proposals/{proposal_id}/bridge |
Bridge Opportunity Accepts a JSON body. |
POST |
/api/proposals/{proposal_id}/deliver |
Deliver To Customer Room |
GET |
/api/proposals/{proposal_id}/documents |
List Documents |
POST |
/api/proposals/{proposal_id}/documents |
Upload Document Accepts a JSON body. Query: document_type. |
DELETE |
/api/proposals/{proposal_id}/documents/{doc_id} |
Delete Document |
GET |
/api/proposals/{proposal_id}/documents/{doc_id}/download |
Download Document |
POST |
/api/proposals/{proposal_id}/final-approve |
Final Approve |
POST |
/api/proposals/{proposal_id}/map-sections |
Map Sections Endpoint |
POST |
/api/proposals/{proposal_id}/parse |
Parse Rfp Endpoint |
GET |
/api/proposals/{proposal_id}/sections |
List Sections |
PATCH |
/api/proposals/{proposal_id}/sections/{section_id} |
Update Section Accepts a JSON body. |
POST |
/api/proposals/{proposal_id}/sections/{section_id}/approve |
Approve Section |
POST |
/api/proposals/{proposal_id}/sections/{section_id}/assign-sme |
Assign Sme Accepts a JSON body. |
POST |
/api/proposals/{proposal_id}/sections/{section_id}/reject |
Reject Section Accepts a JSON body. |
GET |
/api/proposals/{proposal_id}/sections/{section_id}/versions |
Section Versions |
POST |
/api/proposals/{proposal_id}/submit-review |
Submit For Review |
POST |
/api/proposals/{proposal_id}/upload-rfp |
Upload Rfp Accepts a JSON body. |
Try it
The full request/response schema for every endpoint is in the OpenAPI spec served by your own workspace.